## com.saxonica.schema
Class FractionDigitsFacet

    java.lang.Object
      com.saxonica.schema.Facet
          com.saxonica.schema.DigitsFacet
              com.saxonica.schema.FractionDigitsFacet

All Implemented Interfaces:
  Serializable

    public class FractionDigitsFacet

extends DigitsFacet

See Also:
  Serialized Form

Constructor Summary
`FractionDigitsFacet()`

Method Summary
`void` `checkFacetRestriction(UserSimpleType type, SimpleType base, SchemaCompiler compiler)` Check that this facet is legal when used on a type derived by restriction
`String` `getName()` Returns the name of this Facet
`void` `setValue(String value)` Set the value of this facet.

Methods inherited from class com.saxonica.schema.DigitsFacet
`getNumericValue, getValue, setNumericValue, testAtomicValue`

Methods inherited from class com.saxonica.schema.Facet
`getMessage, getWhitespaceAction, isConstraining, isFacetName, isFixed, isNewlyIntroduced, makeFacet, serializeFacet, setFixed, setMessage, testLength, testListValue, toLong`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FractionDigitsFacet

    public FractionDigitsFacet()

Method Detail

### getName

    public String getName()

  Description copied from class: `Facet`
  Returns the name of this Facet

  Specified by:
    `getName` in class `Facet`
  Returns:
    the name of this Facet

### setValue

    public void setValue(String value)
                  throws SchemaException

  Set the value of this facet. For internal use only.

  Specified by:
    `setValue` in class `DigitsFacet`
  Parameters:
    `value` - the value of the facet. This must be a string that parses as an integer.
  Throws:
    `SchemaException` - if the value is invalid (not an integer)

### checkFacetRestriction

    public void checkFacetRestriction(UserSimpleType type,
                                      SimpleType base,
                                      SchemaCompiler compiler)
                               throws SchemaException,
                                      ValidationException

  Description copied from class: `DigitsFacet`
  Check that this facet is legal when used on a type derived by restriction

  Overrides:
    `checkFacetRestriction` in class `DigitsFacet`
  Parameters:
    `type` - the type on which the facet is defined
    `base` - the type from which the restricted type is derived
  Throws:
    `SchemaException` - if the facet is not allowed for this simple type, or if the combination of facets is inconsistent with values defined on the base type.
    `ValidationException`

Copyright (c) 2004-2010 Saxonica Limited. All rights reserved.